### Function

# Gimp edit_named_paste

#### Declaration [src]

    GimpLayer*
    gimp_edit_named_paste (
      GimpDrawable* drawable,
      const gchar* buffer_name,
      gboolean paste_into
    )

#### Description [src]

Paste named buffer to the specified drawable.

This procedure works like `gimp_edit_paste()` but pastes a named buffer instead of the global buffer.

Available since: | 2.4

#### Parameters

`drawable` | `GimpDrawable`
| The drawable to paste to.
| The data is owned by the caller of the function.
`buffer_name` | `const gchar*`
| The name of the buffer to paste.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`paste_into` | `gboolean`
| Clear selection, or paste behind it?

#### Return value

Returns: | `GimpLayer`
| The new floating selection.
| The data is owned by the called function.